Debian Bug report logs - #584391
libdbix-class-perl: FTBFS: tests failed

version graph

Package: src:libdbix-class-perl; Maintainer for src:libdbix-class-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 3 Jun 2010 10:30:02 UTC

Severity: serious

Tags: confirmed, fixed-upstream, sid, squeeze, upstream

Found in version libdbix-class-perl/0.08121-1

Fixed in version libdbix-class-perl/0.08122-1

Done: Ansgar Burchardt <ansgar@43-1.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=58043

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584391; Package src:libdbix-class-perl. (Thu, 03 Jun 2010 10:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Thu, 03 Jun 2010 10:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libdbix-class-perl: FTBFS: tests failed
Date: Thu, 3 Jun 2010 12:05:28 +0200
Source: libdbix-class-perl
Version: 0.08121-1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100602 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-libdbix-class-perl_0.08121-1-amd64-WnGghS/libdbix-class-perl-0.08121'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/admin/*.t t/bind/*.t t/cdbi/*.t t/cdbi/DeepAbstractSearch/*.t t/cdbi/abstract/*.t t/cdbi/sweet/*.t t/count/*.t t/delete/*.t t/inflate/*.t t/multi_create/*.t t/ordered/*.t t/prefetch/*.t t/relationship/*.t t/resultset/*.t t/row/*.t t/schema/*.t t/search/*.t t/sqlahacks/*.t t/sqlahacks/limit_dialects/*.t t/sqlahacks/quotes/*.t t/sqlahacks/sql_maker/*.t t/storage/*.t t/update/*.t
> t/02pod.t ........................................ skipped: Author tests not required for installation
> t/03podcoverage.t ................................ skipped: Author tests not required for installation
> t/04dont_break_c3.t .............................. ok
> t/05components.t ................................. ok
> t/06notabs.t ..................................... skipped: Author tests not required for installation
> t/07eol.t ........................................ skipped: Author tests not required for installation
> t/100extra_source.t .............................. ok
> t/100populate.t .................................. ok
> t/101populate_rs.t ............................... ok
> t/102load_classes.t .............................. ok
> t/103many_to_many_warning.t ...................... ok
> t/104view.t ...................................... ok
> t/10optional_deps.t .............................. ok
> t/18insert_default.t ............................. ok
> t/20setuperrors.t ................................ ok
> t/26dumper.t ..................................... ok
> t/30dbicplain.t .................................. ok
> t/34exception_action.t ........................... ok
> t/39load_namespaces_1.t .......................... ok
> t/39load_namespaces_2.t .......................... ok
> t/39load_namespaces_3.t .......................... ok
> t/39load_namespaces_4.t .......................... ok
> t/39load_namespaces_exception.t .................. ok
> t/39load_namespaces_rt41083.t .................... ok
> t/40resultsetmanager.t ........................... ok
> t/41orrible.t .................................... ok
> t/46where_attribute.t ............................ ok
> t/50fork.t ....................................... skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test (note: creates and drops a table named artist!)
> t/51threads.t .................................... skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test (note: creates and drops a table named artist!)
> t/51threadtxn.t .................................. skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test (note: creates and drops a table named artist!)
> t/52cycle.t ...................................... ok
> t/54taint.t ...................................... ok
> t/55storage_stress.t ............................. skipped: This test needs some non-sqlite connect info!
> t/60core.t ....................................... ok
> t/61findnot.t .................................... ok
> t/63register_class.t ............................. ok
> t/63register_source.t ............................ ok
> t/64db.t ......................................... ok
> t/65multipk.t .................................... ok
> t/67pager.t ...................................... ok
> t/69update.t ..................................... ok
> t/70auto.t ....................................... ok
> t/71mysql.t ...................................... skipped: Set $ENV{DBICTEST_MYSQL_DSN}, _USER and _PASS to run this test
> t/72pg.t ......................................... skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test
> t/73oracle.t ..................................... skipped: Set $ENV{DBICTEST_ORA_DSN}, _USER and _PASS to run this test. Warning: This test drops and creates tables called 'artist', 'cd', 'track' and 'sequence_test' as well as following sequences: 'pkid1_seq', 'pkid2_seq' and 'nonpkid_seq'
> t/745db2.t ....................................... skipped: Set $ENV{DBICTEST_DB2_DSN}, _USER and _PASS to run this test
> t/746db2_400.t ................................... skipped: Set $ENV{DBICTEST_DB2_400_DSN}, _USER and _PASS to run this test
> t/746mssql.t ..................................... skipped: Set $ENV{DBICTEST_MSSQL_ODBC_DSN}, _USER and _PASS to run this test
> t/746sybase.t .................................... skipped: Set $ENV{DBICTEST_SYBASE_DSN}, _USER and _PASS to run this test
> t/747mssql_ado.t ................................. skipped: Set $ENV{DBICTEST_MSSQL_ADO_DSN}, _USER and _PASS to run this test
> t/748informix.t .................................. skipped: Set $ENV{DBICTEST_INFORMIX_DSN}, _USER and _PASS to run this test
> t/749sybase_asa.t ................................ skipped: Set $ENV{DBICTEST_SYBASE_ASA_DSN} and/or $ENV{DBICTEST_SYBASE_ASA_ODBC_DSN},
> t/74mssql.t ...................................... skipped: Set $ENV{DBICTEST_MSSQL_DSN}, _USER and _PASS to run this test
> t/750firebird.t .................................. skipped: Set $ENV{DBICTEST_FIREBIRD_DSN} and/or $ENV{DBICTEST_FIREBIRD_ODBC_DSN},
> t/75limit.t ...................................... ok
> t/76joins.t ...................................... ok
> t/76select.t ..................................... ok
> t/77join_count.t ................................. ok
> t/78self_referencial.t ........................... ok
> t/79aliasing.t ................................... ok
> t/80unique.t ..................................... ok
> t/81transactions.t ............................... ok
> t/82cascade_copy.t ............................... ok
> t/83cache.t ...................................... ok
> t/84serialize.t .................................. ok
> t/85utf8.t ....................................... ok
> t/86might_have.t ................................. ok
> t/86sqlt.t ....................................... ok
> t/87ordered.t .................................... ok
> t/88result_set_column.t .......................... ok
> t/90ensure_class_loaded.t ........................ ok
> t/90join_torture.t ............................... ok
> t/91merge_attr.t ................................. ok
> t/93autocast.t ................................... ok
> t/93nobindvars.t ................................. skipped: Set $ENV{DBICTEST_MYSQL_DSN}, _USER and _PASS to run this test
> t/93single_accessor_object.t ..................... ok
> t/94pk_mutation.t ................................ ok
> t/94versioning.t ................................. skipped: Set $ENV{DBICTEST_MYSQL_DSN}, _USER and _PASS to run this test
> t/96_is_deteministic_value.t ..................... ok
> t/97result_class.t ............................... ok
> t/98savepoints.t ................................. skipped: Set DBICTEST_(PG|MYSQL)_DSN _USER and _PASS if you want to run savepoint tests
> t/99dbic_sqlt_parser.t ........................... ok
> t/admin/01load.t ................................. skipped: Test needs MooseX::Types::JSON >= 0.02 (see DBIx::Class::Optional::Dependencies for details)
> t/admin/02ddl.t .................................. skipped: Test needs MooseX::Types::JSON >= 0.02 (see DBIx::Class::Optional::Dependencies for details)
> t/admin/03data.t ................................. skipped: Test needs MooseX::Types::JSON >= 0.02 (see DBIx::Class::Optional::Dependencies for details)
> t/admin/10script.t ............................... skipped: Test needs MooseX::Types::JSON >= 0.02 (see DBIx::Class::Optional::Dependencies for details)
> t/bind/attribute.t ............................... ok
> t/bind/bindtype_columns.t ........................ skipped: Set $ENV{DBICTEST_PG_DSN}, _USER and _PASS to run this test
> 
> #   Failed test at t/bind/order_by.t line 47.
> # died: DBIx::Class::ResultSet::as_query(): [SQL::Abstract::_assert_bindval_matches_bindtype] Fatal: bindtype 'columns' selected, you need to pass: [column_name => bind_value] at t/bind/order_by.t line 43
> 
> #   Failed test 'Fail the unfinished is_same_sql_bind'
> #   at t/bind/order_by.t line 48.
> 
> #   Failed test at t/bind/order_by.t line 47.
> # died: DBIx::Class::ResultSet::as_query(): [SQL::Abstract::_assert_bindval_matches_bindtype] Fatal: bindtype 'columns' selected, you need to pass: [column_name => bind_value] at t/bind/order_by.t line 43
> 
> #   Failed test 'Fail the unfinished is_same_sql_bind'
> #   at t/bind/order_by.t line 48.
> 
> #   Failed test at t/bind/order_by.t line 47.
> # died: DBIx::Class::ResultSet::as_query(): [SQL::Abstract::_assert_bindval_matches_bindtype] Fatal: bindtype 'columns' selected, you need to pass: [column_name => bind_value] at t/bind/order_by.t line 43
> 
> #   Failed test 'Fail the unfinished is_same_sql_bind'
> #   at t/bind/order_by.t line 48.
> 
> #   Failed test at t/bind/order_by.t line 47.
> # died: DBIx::Class::ResultSet::as_query(): [SQL::Abstract::_assert_bindval_matches_bindtype] Fatal: bindtype 'columns' selected, you need to pass: [column_name => bind_value] at t/bind/order_by.t line 43
> 
> #   Failed test 'Fail the unfinished is_same_sql_bind'
> #   at t/bind/order_by.t line 48.
> 
> #   Failed test at t/bind/order_by.t line 47.
> # died: DBIx::Class::ResultSet::as_query(): [SQL::Abstract::_assert_bindval_matches_bindtype] Fatal: bindtype 'columns' selected, you need to pass: [column_name => bind_value] at t/bind/order_by.t line 43
> 
> #   Failed test 'Fail the unfinished is_same_sql_bind'
> #   at t/bind/order_by.t line 48.
> # Looks like you failed 10 tests of 14.
> t/bind/order_by.t ................................ 
> Dubious, test returned 10 (wstat 2560, 0xa00)
> Failed 10/14 subtests 
> t/cdbi/01-columns.t .............................. ok
> t/cdbi/02-Film.t ................................. ok
> t/cdbi/03-subclassing.t .......................... ok
> t/cdbi/04-lazy.t ................................. ok
> t/cdbi/06-hasa.t ................................. ok
> t/cdbi/08-inheritcols.t .......................... ok
> t/cdbi/09-has_many.t ............................. ok
> t/cdbi/11-triggers.t ............................. ok
> t/cdbi/12-filter.t ............................... ok
> t/cdbi/13-constraint.t ........................... ok
> t/cdbi/14-might_have.t ........................... ok
> t/cdbi/15-accessor.t ............................. ok
> t/cdbi/16-reserved.t ............................. ok
> t/cdbi/18-has_a.t ................................ ok
> t/cdbi/19-set_sql.t .............................. ok
> t/cdbi/21-iterator.t ............................. ok
> t/cdbi/22-deflate_order.t ........................ skipped: Set $ENV{DBICTEST_MYSQL_DSN}, _USER and _PASS to run this test
> t/cdbi/22-self_referential.t ..................... ok
> t/cdbi/23-cascade.t .............................. ok
> t/cdbi/24-meta_info.t ............................ ok
> t/cdbi/26-mutator.t .............................. ok
> t/cdbi/30-pager.t ................................ ok
> t/cdbi/68-inflate_has_a.t ........................ ok
> t/cdbi/98-failure.t .............................. ok
> t/cdbi/abstract/search_where.t ................... ok
> t/cdbi/columns_as_hashes.t ....................... ok
> t/cdbi/columns_dont_override_custom_accessors.t .. ok
> t/cdbi/construct.t ............................... ok
> t/cdbi/copy.t .................................... ok
> t/cdbi/DeepAbstractSearch/01_search.t ............ skipped: needs Class::DBI::Plugin::DeepAbstractSearch
> t/cdbi/early_column_heisenbug.t .................. ok
> t/cdbi/has_many_loads_foreign_class.t ............ ok
> t/cdbi/hasa_without_loading.t .................... ok
> t/cdbi/max_min_value_of.t ........................ ok
> t/cdbi/mk_group_accessors.t ...................... ok
> t/cdbi/multi_column_set.t ........................ ok
> t/cdbi/object_cache.t ............................ ok
> t/cdbi/retrieve_from_sql_with_limit.t ............ ok
> t/cdbi/set_to_undef.t ............................ ok
> t/cdbi/set_vs_DateTime.t ......................... ok
> t/cdbi/sweet/08pager.t ........................... ok
> t/count/count_rs.t ............................... ok
> t/count/distinct.t ............................... ok
> t/count/group_by_func.t .......................... ok
> t/count/grouped_pager.t .......................... ok
> t/count/in_subquery.t ............................ ok
> t/count/joined.t ................................. ok
> t/count/prefetch.t ............................... ok
> t/count/search_related.t ......................... ok
> t/delete/complex.t ............................... ok
> t/delete/m2m.t ................................... ok
> t/delete/related.t ............................... ok
> t/discard_changes_in_DESTROY.t ................... ok
> t/from_subquery.t ................................ ok
> t/inflate/core.t ................................. ok
> t/inflate/datetime.t ............................. ok
> t/inflate/datetime_determine_parser.t ............ ok
> t/inflate/datetime_firebird.t .................... skipped: Set $ENV{DBICTEST_FIREBIRD_DSN} and/or $ENV{DBICTEST_FIREBIRD_ODBC_DSN}
> t/inflate/datetime_informix.t .................... skipped: Set $ENV{DBICTEST_INFORMIX_DSN} _USER and _PASS to run this test'.
> t/inflate/datetime_mssql.t ....................... skipped: Set $ENV{DBICTEST_MSSQL_ODBC_DSN}, _USER and _PASS to run this test
> t/inflate/datetime_mysql.t ....................... ok
> t/inflate/datetime_oracle.t ...................... skipped: Set $ENV{DBICTEST_ORA_DSN}, _USER and _PASS to run this test. Warning: This test drops and creates a table called 'track'
> t/inflate/datetime_pg.t .......................... ok
> t/inflate/datetime_sybase.t ...................... skipped: Set $ENV{DBICTEST_SYBASE_DSN}, _USER and _PASS to run this test
> t/inflate/datetime_sybase_asa.t .................. skipped: Set $ENV{DBICTEST_SYBASE_ASA_DSN} and/or $ENV{DBICTEST_SYBASE_ASA_ODBC_DSN}
> t/inflate/file_column.t .......................... ok
> t/inflate/hri.t .................................. ok
> t/inflate/serialize.t ............................ ok
> t/multi_create/cd_single.t ....................... ok
> t/multi_create/diamond.t ......................... ok
> t/multi_create/existing_in_chain.t ............... ok
> t/multi_create/has_many.t ........................ ok
> t/multi_create/in_memory.t ....................... ok
> t/multi_create/insert_defaults.t ................. ok
> t/multi_create/m2m.t ............................. ok
> t/multi_create/multilev_single_PKeqFK.t .......... ok
> t/multi_create/reentrance_count.t ................ ok
> t/multi_create/standard.t ........................ ok
> t/multi_create/torture.t ......................... ok
> t/ordered/cascade_delete.t ....................... ok
> t/prefetch/attrs_untouched.t ..................... ok
> t/prefetch/count.t ............................... ok
> t/prefetch/diamond.t ............................. ok
> t/prefetch/double_prefetch.t ..................... ok
> t/prefetch/grouped.t ............................. ok
> t/prefetch/incomplete.t .......................... ok
> t/prefetch/join_type.t ........................... ok
> t/prefetch/multiple_hasmany.t .................... ok
> t/prefetch/one_to_many_to_one.t .................. ok
> t/prefetch/standard.t ............................ ok
> t/prefetch/via_search_related.t .................. ok
> t/prefetch/with_limit.t .......................... ok
> t/relationship/after_update.t .................... ok
> t/relationship/core.t ............................ ok
> t/relationship/doesnt_exist.t .................... ok
> t/relationship/unresolvable.t .................... ok
> t/relationship/update_or_create_multi.t .......... ok
> t/relationship/update_or_create_single.t ......... ok
> t/resultset/as_query.t ........................... ok
> t/resultset/as_subselect_rs.t .................... ok
> t/resultset/is_ordered.t ......................... ok
> t/resultset/is_paged.t ........................... ok
> t/resultset/nulls_only.t ......................... ok
> t/resultset/plus_select.t ........................ ok
> t/resultset/update_delete.t ...................... ok
> t/resultset_class.t .............................. ok
> t/resultset_overload.t ........................... ok
> t/row/inflate_result.t ........................... ok
> t/row/pkless.t ................................... ok
> t/schema/anon.t .................................. ok
> t/schema/clone.t ................................. ok
> t/search/preserve_original_rs.t .................. ok
> t/search/related_strip_prefetch.t ................ ok
> t/search/select_chains.t ......................... ok
> DBIx::Class::ResultSet::as_query(): [SQL::Abstract::_assert_bindval_matches_bindtype] Fatal: bindtype 'columns' selected, you need to pass: [column_name => bind_value] at t/search/subquery.t line 165
> # Looks like your test exited with 255 before it could output anything.
> t/search/subquery.t .............................. 
> Dubious, test returned 255 (wstat 65280, 0xff00)
> Failed 18/18 subtests 
> t/sqlahacks/limit_dialects/toplimit.t ............ ok
> t/sqlahacks/quotes/quotes.t ...................... ok
> t/sqlahacks/quotes/quotes_newstyle.t ............. ok
> t/sqlahacks/sql_maker/sql_maker.t ................ ok
> t/sqlahacks/sql_maker/sql_maker_quote.t .......... ok
> t/sqlahacks/sqlite.t ............................. ok
> t/storage/base.t ................................. ok
> t/storage/dbh_do.t ............................... ok
> t/storage/dbi_coderef.t .......................... ok
> t/storage/debug.t ................................ ok
> t/storage/disable_sth_caching.t .................. ok
> t/storage/error.t ................................ ok
> t/storage/exception.t ............................ ok
> t/storage/on_connect_call.t ...................... ok
> t/storage/on_connect_do.t ........................ ok
> t/storage/ping_count.t ........................... ok
> t/storage/reconnect.t ............................ ok
> t/storage/replicated.t ........................... skipped: Test needs Hash::Merge >= 0.12 (see DBIx::Class::Optional::Dependencies for details)
> t/storage/stats.t ................................ ok
> t/update/type_aware.t ............................ ok
> t/zzzzzzz_perl_perf_bug.t ........................ ok
> t/zzzzzzz_sqlite_deadlock.t ...................... ok
> 
> Test Summary Report
> -------------------
> t/bind/order_by.t                              (Wstat: 2560 Tests: 14 Failed: 10)
>   Failed tests:  1-10
>   Non-zero exit status: 10
> t/cdbi/15-accessor.t                           (Wstat: 0 Tests: 75 Failed: 0)
>   TODO passed:   17-19, 21-23, 25
> t/multi_create/existing_in_chain.t             (Wstat: 0 Tests: 10 Failed: 0)
>   TODO passed:   1-2, 5-6, 10
> t/multi_create/reentrance_count.t              (Wstat: 0 Tests: 18 Failed: 0)
>   TODO passed:   1, 3-4, 6-7, 9-10, 12, 15-16, 18
> t/prefetch/multiple_hasmany.t                  (Wstat: 0 Tests: 10 Failed: 0)
>   TODO passed:   2, 6-8
> t/prefetch/via_search_related.t                (Wstat: 0 Tests: 23 Failed: 0)
>   TODO passed:   21-22
> t/row/inflate_result.t                         (Wstat: 0 Tests: 12 Failed: 0)
>   TODO passed:   3
> t/search/subquery.t                            (Wstat: 65280 Tests: 0 Failed: 0)
>   Non-zero exit status: 255
>   Parse errors: Bad plan.  You planned 18 tests but ran 0.
> Files=226, Tests=4451, 92 wallclock secs ( 1.11 usr  0.48 sys + 83.87 cusr  8.16 csys = 93.62 CPU)
> Result: FAIL
> Failed 2/226 test programs. 10/4451 subtests failed.
> make[2]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/06/02/libdbix-class-perl_0.08121-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) upstream and confirmed. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 13:57:08 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=58043'. Request was from Ansgar Burchardt <ansgar@43-1.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 13:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#584391; Package src:libdbix-class-perl. (Fri, 04 Jun 2010 16:00:07 GMT) Full text and rfc822 format available.

Message #12 received at 584391@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 584391@bugs.debian.org, 584391-submitter@bugs.debian.org
Subject: Bug in libdbix-class-perl fixed in revision 58862
Date: Fri, 04 Jun 2010 15:57:32 +0000
tag 584391 + pending
thanks

Some bugs are closed in revision 58862
by Ansgar Burchardt (ansgar-guest)

Commit message:

WAITS-FOR: libsql-translator-perl 0.11006-1
Test suite, recommends.
WAITS-FOR: libhash-merge-perl 0.12-1
Test suite, suggests. See #584561
* New upstream release.
  + Works with SQL::Abstract 1.67. (Closes: #584391)
* Bump (build-)dep on
  - libclass-accessor-grouped-perl to >= 0.09003,
  - libsql-abstract-perl to >= 1.67,
* Bump build-dep, suggests on
  - libhash-merge-perl to >= 0.12,
  - libmoosex-types-perl to >= 0.21,
  - libnamespace-autoclean-perl to >= 0.09,
* Bump build-dep, recommends on libsql-translator-perl to >= 0.11006.
* Move libnamespace-clean-perl from Suggests to Depends. Bump version
  requirement to >= 0.14,
* Add build-dep on libmoosex-types-json-perl to enable additional tests.
  Was only in Suggests before.
* Add (build-)dep on libtry-tiny-perl (>= 0.04).
* Drop patch fix-pod-spelling.patch: applied upstream.
* debian/control: Sort dependency fields.
* debian/rules: Remove override_dh_fixperms target: permissions are fixed
  upstream.
* Add myself to Uploaders.




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 04 Jun 2010 16:00:08 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#584391. (Fri, 04 Jun 2010 16:00:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 07 Jun 2010 16:36:37 GMT) Full text and rfc822 format available.

Reply sent to Ansgar Burchardt <ansgar@43-1.org>:
You have taken responsibility. (Tue, 08 Jun 2010 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 08 Jun 2010 22:21:05 GMT) Full text and rfc822 format available.

Message #24 received at 584391-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 584391-close@bugs.debian.org
Subject: Bug#584391: fixed in libdbix-class-perl 0.08122-1
Date: Tue, 08 Jun 2010 22:17:54 +0000
Source: libdbix-class-perl
Source-Version: 0.08122-1

We believe that the bug you reported is fixed in the latest version of
libdbix-class-perl, which is due to be installed in the Debian FTP archive:

libdbix-class-perl_0.08122-1.debian.tar.gz
  to main/libd/libdbix-class-perl/libdbix-class-perl_0.08122-1.debian.tar.gz
libdbix-class-perl_0.08122-1.dsc
  to main/libd/libdbix-class-perl/libdbix-class-perl_0.08122-1.dsc
libdbix-class-perl_0.08122-1_all.deb
  to main/libd/libdbix-class-perl/libdbix-class-perl_0.08122-1_all.deb
libdbix-class-perl_0.08122.orig.tar.gz
  to main/libd/libdbix-class-perl/libdbix-class-perl_0.08122.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584391@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@43-1.org> (supplier of updated libdbix-class-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 09 Jun 2010 01:46:47 +0900
Source: libdbix-class-perl
Binary: libdbix-class-perl
Architecture: source all
Version: 0.08122-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@43-1.org>
Description: 
 libdbix-class-perl - extensible and flexible object <-> relational mapper
Closes: 584391
Changes: 
 libdbix-class-perl (0.08122-1) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * New upstream release.
     + Works with SQL::Abstract 1.67. (Closes: #584391)
   * Bump (build-)dep on
     - libclass-accessor-grouped-perl to >= 0.09003,
     - libsql-abstract-perl to >= 1.67,
   * Bump build-dep, suggests on
     - libhash-merge-perl to >= 0.12,
     - libmoosex-types-perl to >= 0.21,
     - libnamespace-autoclean-perl to >= 0.09,
   * Bump build-dep, recommends on libsql-translator-perl to >= 0.11006.
   * Move libnamespace-clean-perl from Suggests to Depends. Bump version
     requirement to >= 0.14,
   * Add build-dep on libmoosex-types-json-perl to enable additional tests.
     Was only in Suggests before.
   * Add (build-)dep on libtry-tiny-perl (>= 0.04).
   * Fix an additional spelling error.
     + update patch: fix-pod-spelling.patch
   * debian/control: Sort dependency fields.
   * debian/rules: Remove override_dh_fixperms target: permissions are fixed
     upstream.
   * Add myself to Uploaders.
 .
   [ gregor herrmann ]
   * Remove build dependencies for pod* tests which were moved to xt/*.
   * Update list of upstream copyright holders.
Checksums-Sha1: 
 14c1e7e602bc96c9d9e2697a5abede8369d8c4ab 3551 libdbix-class-perl_0.08122-1.dsc
 e5e49fc7df8a82d44de8839d4502e2991004435d 552398 libdbix-class-perl_0.08122.orig.tar.gz
 fd6822591df777ce2dddd7f4ba3d418d6f25bb02 9461 libdbix-class-perl_0.08122-1.debian.tar.gz
 5f99e9037437419c53d84a6afacd31f5d22266b0 708772 libdbix-class-perl_0.08122-1_all.deb
Checksums-Sha256: 
 639703be171315fe5e061c2591bd8c2fef47d2ee7ed6b05eb9dd99e2f1c43b23 3551 libdbix-class-perl_0.08122-1.dsc
 da1a0f1fcc2102a09a03391e55b332003c6e359a4bf1767d0086d4f90365c986 552398 libdbix-class-perl_0.08122.orig.tar.gz
 e5ea7eb66933c5f8a169692f9af9ff9c4baa9c891d2c9e98232204de8b62092b 9461 libdbix-class-perl_0.08122-1.debian.tar.gz
 013bb3cb0cb44c0a2d48c37726d522f2dac9d483f3dc62aecb6e96483ee29c50 708772 libdbix-class-perl_0.08122-1_all.deb
Files: 
 623ef786cb60a96afafab76c8e5af4a6 3551 perl optional libdbix-class-perl_0.08122-1.dsc
 b1b9235b1adee1b58b471574d987f8f6 552398 perl optional libdbix-class-perl_0.08122.orig.tar.gz
 74f3f36089e28ede2a3571f7f401d60a 9461 perl optional libdbix-class-perl_0.08122-1.debian.tar.gz
 ccd4736675cc25930f40b6b22c8547e5 708772 perl optional libdbix-class-perl_0.08122-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMDr2KAAoJELs6aAGGSaoGty4P/2EYgZNitU8jFLzhOdHC1zat
rxJlWn4io3uq4BZNBKEWBfp/xxY9J64vT5b3FtaKUnyeh6gKFTzrizYpNtZebtU1
SUvtNIigs64WlXL2Vw52Fbwc483knhRcWfLQ6yIQGAy4SWHrgxeoMOLTekD1vW6E
kAcIaJjYBHBtnS+pfXjwWhGdb7WlvWKv3xB2QqOGshj0eQFhM7HeIVF8SdYMpsG1
pmVPZxohP2NTZIYLo/OTDGKGczIo0xN1gIiq7cBaCnfWvmYrfqfQtXqXruWIvEHQ
YTELMFeiQgunudy7UPsVk766WWG1tc/CK7zAQijT542ps5WaT1XzFoAeyGJxMhHE
3Wg8sYOEu20XvJ4YAOp/5jX0eRczqBOPEjZa3oFS83VjqRhyB6uFgJ4Tdo/HbOCi
jvKEvvqmmg8LTskzqxZRsUX90yX7hTvln8hJjeTQrOURQnH9x562P2nNZ3vD/R3x
vmaAPc+JKGmdkSScGrM40vA+yBcHbolHSnyYSF6MmZDUihBNW254VaUasrWWsmGX
lfWSnGeSjj4tdqRKvobosPXyNRfMt4xktJOm7iDwCTnLjH5RZZjac/V8iEkTy2Sv
LJ6TruwHfsFD73Y9Mbse0PZHWKS7Fp11CPKOWME39uE3T4dPulc1YE3hyzTSGnYO
y0oe9PC6kdx4YyC/mpOF
=hC3g
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Jul 2010 07:38:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:58:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.